@use 'vars-svm' as vars;

:host {
  display: inline-block;
}

.annotation-color-palette div {
  height: 24px;
  min-width: 24px;
}

.annotation-color-palette {
  div:first-child {
    border-top-left-radius: vars.$default-border-radius;
    border-bottom-left-radius: vars.$default-border-radius;
  }
  div:last-child {
    border-top-right-radius: vars.$default-border-radius;
    border-bottom-right-radius: vars.$default-border-radius;
  }
}

.flex-color-alignment {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: stretch;
}
